<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<ng-container *ngIf="inModification">
  <div class="notification notification--configuration-in-modification">
    <mat-card>
      <mat-card-content fxLayout fxLayoutGap="1rem">
        {{ "voting-material.notification.info.configuration-in-modification" | translate}}
      </mat-card-content>
    </mat-card>
  </div>
</ng-container>
<ng-container *ngIf="!inModification">


  <div *ngIf="operationStatus.consistencyComputationInProgress"
       class="notification notification--consistency-in-progress">
    <mat-card>
      <mat-card-content fxLayout fxLayoutGap="1rem">
        <mat-icon>timelapse</mat-icon>
        <span fxFlexAlign="center">{{ "voting-material.notification.info.consistency.in-progress" | translate}}</span>
      </mat-card-content>
    </mat-card>
  </div>

  <div *ngIf="operationStatus.votingMaterialConsistencyErrors.length > 0"
       class="notification notification--consistency-errors">
    <mat-card>
      <mat-card-content fxLayout fxLayoutGap="2.5rem">
        <mat-icon class="error-icon">warning</mat-icon>
        <div fxLayout="column" fxFlex="1 1 auto">
          <h2 class="error-title">{{ "voting-material.notification.info.consistency.errors" | translate}}</h2>
          <ul>
            <li *ngFor="let error of operationStatus.votingMaterialConsistencyErrors">
              {{ error.errorKey | translate:error.errorsParameters}}
            </li>
          </ul>
        </div>
      </mat-card-content>
    </mat-card>
  </div>

  <ng-container *ngIf="userBelongsToOperationManagementEntity">
    <ng-container *roles="['DEPLOY_VOTING_MATERIAL']">
      <div *ngIf="isDeploymentInfoDisplayed" class="notification notification--deployment">
        <mat-card>
          <mat-card-content fxLayout fxLayoutAlign="space-between">
            <span fxFlexAlign="center" *ngIf="isUploadButtonShown">{{ "voting-material.notification.upload-voting-material.message" | translate}}</span>
            <span fxFlexAlign="center" *ngIf="isRequestVotingMaterialCreationShown">{{ "voting-material.notification.create-voting-material.message" | translate}}</span>
            <span fxFlexAlign="center" *ngIf="isValidateVotingMaterialCreationShown">{{ "voting-material.notification.validate-voting-material.message" | translate}}</span>

            <button *ngIf="isUploadButtonShown"
                    (click)="uploadVotingMaterialConfiguration()"
                    mat-raised-button
                    color="primary"
                    id="deploymentButton">
              <mat-icon>playlist_add_check</mat-icon>
              {{ 'voting-material.notification.upload-voting-material.button' | translate | uppercase }}
            </button>

            <div class="external-action" *ngIf="isRequestVotingMaterialCreationShown">
              <div class="action-title section-title">
                {{ 'voting-material.notification.create-voting-material.title' | translate }}
              </div>
              <div class="action-link">
                <a href="{{pactLink}}" target="pact" id="createLink">
                  <mat-icon>link</mat-icon>
                  <span>{{ 'voting-material.notification.create-voting-material.pact-link' | translate }}</span>
                </a>
              </div>
            </div>

            <div class="external-action" *ngIf="isValidateVotingMaterialCreationShown">
              <div class="action-title section-title">
                {{ 'voting-material.notification.validate-voting-material-creation.title' | translate }}
              </div>
              <div class="action-link">
                <a href="{{pactLink}}" target="pact" id="validateCreationLink">
                  <mat-icon>link</mat-icon>
                  <span>{{ 'voting-material.notification.validate-voting-material-creation.pact-link' | translate }}</span>
                </a>
              </div>
            </div>


          </mat-card-content>

        </mat-card>
      </div>
    </ng-container>

    <ng-container *roles="['VALIDATE_VOTING_MATERIAL']">
      <div *ngIf="isValidationInfoDisplayed" class="notification notification--deployment">
        <mat-card>
          <mat-card-content fxLayout fxLayoutAlign="space-between">
            {{ "voting-material.notification.validate-voting-material.message" | translate}}

            <div class="actions">
              <button (click)="validateVotingMaterial()" mat-raised-button color="primary"
                      id="validateVotingMaterialButton">
                <mat-icon>playlist_add_check</mat-icon>
                {{ 'voting-material.notification.validate-voting-material.validate.button' | translate | uppercase }}
              </button>
              <div class="external-action">

                <div class="action-title section-title">
                  {{ 'voting-material.notification.validate-voting-material.invalidate.title' | translate }}
                </div>
                <div class="action-link">
                  <a href="{{pactLink}}" target="pact" id="invalidateLink">
                    <mat-icon>link</mat-icon>
                    <span>{{ 'voting-material.notification.validate-voting-material.invalidate.pact-link' | translate }}</span>
                  </a>
                </div>
              </div>
            </div>
          </mat-card-content>
        </mat-card>
      </div>

      <div *ngIf="isInvalidationRequestedInfoDisplayed" class="notification notification--deployment">
        <mat-card>
          <mat-card-content fxLayout fxLayoutAlign="space-between">
            {{ "voting-material.notification.confirm-voting-material-invalidation.message" | translate}}

            <div class="actions">
              <div class="external-action">

                <div class="action-title section-title">
                  {{ 'voting-material.notification.confirm-voting-material-invalidation.title' | translate }}
                </div>
                <div class="action-link">
                  <a href="{{pactLink}}" target="pact" id="confirmInvalidateLink">
                    <mat-icon>link</mat-icon>
                    <span>{{ 'voting-material.notification.confirm-voting-material-invalidation.pact-link' | translate }}</span>
                  </a>
                </div>
              </div>
            </div>
          </mat-card-content>
        </mat-card>

      </div>
    </ng-container>


  </ng-container>


</ng-container>
